Skip to content
Newer
Older
100644 59 lines (49 sloc) 1.91 KB
a981eb2 @myronmarston Deal with weird load path issue on jruby.
authored Oct 4, 2010
1 $LOAD_PATH.unshift File.expand_path("../lib", __FILE__)
2 require "vcr/version"
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 25, 2010
3
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
4 Gem::Specification.new do |s|
5 s.name = "vcr"
6 s.homepage = "http://github.com/myronmarston/vcr"
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 26, 2010
7 s.authors = ["Myron Marston"]
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
8 s.summary = "Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests."
78a8028 @myronmarston Update gem description.
authored Feb 9, 2011
9 s.description = "VCR provides a simple API to record and replay your test suite's HTTP interactions. It works with a variety of HTTP client libraries, HTTP stubbing libraries and testing frameworks."
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
10 s.email = "myron.marston@gmail.com"
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
11 s.require_path = "lib"
12 s.files = `git ls-files`.split("\n")
0211741 @myronmarston We have no test or bin dir.
authored Jan 7, 2011
13 s.test_files = `git ls-files -- {spec,features}/*`.split("\n")
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 26, 2010
14
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
15 s.version = VCR.version
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
16 s.platform = Gem::Platform::RUBY
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
17 s.required_ruby_version = '>= 1.8.6'
18 s.required_rubygems_version = '>= 1.3.5'
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
19
20 {
bde0268 @myronmarston Update bundler and relish gems to latest.
authored Nov 18, 2010
21 'bundler' => '~> 1.0.7',
eda1867 @myronmarston Upgrade rake dependency. This should hopefully allow VCR to build on …
authored Aug 24, 2011
22 'rake' => '~> 0.9.2',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
23
f52b13a @myronmarston Update rspec to latest.
authored May 14, 2011
24 'rspec' => '~> 2.6',
6772666 @myronmarston Put shoulda in the gemspec since it is used by one of the cukes and i…
authored Dec 28, 2010
25 'shoulda' => '~> 2.9.2',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
26
27 'fakeweb' => '~> 1.3.0',
abb8be9 @myronmarston WebMock 1.7.4 is out.
authored Aug 17, 2011
28 'webmock' => '~> 1.7.4',
ef232ea @myronmarston Update addressable.
authored May 17, 2011
29 'addressable' => '~> 2.2.6',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
30
0308929 @myronmarston Update Faraday to latest.
authored Jun 13, 2011
31 'faraday' => '~> 0.7.2',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
32 'httpclient' => '~> 2.1.5.2',
113487e @myronmarston Upgrade excon to latest.
authored Jul 14, 2011
33 'excon' => '~> 0.6.5',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
34
acb7e63 @myronmarston Added timecop so we can simulate the passage of time in our tests.
authored Sep 18, 2010
35 'timecop' => '~> 0.3.5',
15d027e @myronmarston New cuke: basic_usage.feature.
authored Nov 8, 2010
36 'rack' => '1.1.0',
37 'sinatra' => '~> 1.1.0'
65f1424 @myronmarston Fix webmock dependency declaration to work on ruby 1.8.6.
authored Nov 7, 2010
38 }.each do |lib, version|
39 s.add_development_dependency lib, version
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
40 end
41
f7bc6b8 @myronmarston Exclude cucumber from installing on 1.8.6 as it causes a buffer overf…
authored Aug 25, 2011
42 # Cucumber 1.0.2 seems to have issues installing on 1.8.6 :(.
43 {
751bf4f @myronmarston Latest relish and cucumber.
authored Sep 7, 2011
44 'cucumber' => '~> 1.0.3',
f7bc6b8 @myronmarston Exclude cucumber from installing on 1.8.6 as it causes a buffer overf…
authored Aug 26, 2011
45 'aruba' => '~> 0.4.6',
46 }.each do |lib, version|
47 s.add_development_dependency lib, version
48 end unless RUBY_VERSION == '1.8.6'
49
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
50 {
1a5a770 @myronmarston Update patron and curb dependencies.
authored Aug 28, 2011
51 'patron' => '~> 0.4.15',
cc7f1b5 @myronmarston Update to em-http-request 0.3.0.
authored Mar 26, 2011
52 'em-http-request' => '~> 0.3.0',
1a5a770 @myronmarston Update patron and curb dependencies.
authored Aug 29, 2011
53 'curb' => '~> 0.7.15',
bdabbb3 @myronmarston Updated typhoeus to latest 0.2.1 release.
authored Jan 16, 2011
54 'typhoeus' => '~> 0.2.1'
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
55 }.each do |lib, version|
56 s.add_development_dependency lib, version
57 end unless RUBY_PLATFORM == 'java'
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 26, 2010
58 end
Something went wrong with that request. Please try again.